version: "3"

services:
  app:
    image: wnameless/oracle-xe-11g-r2
    container_name: oracle-11g
    restart: always
    ports: 
      - 1521:1521
      - 8080:8080
    environment:
      - ORACLE_ALLOW_REMOTE=true
    volumes:
      - oracle:/u01/app/oracle
volumes:
  oracle: